#
# spec file for package python-importlib_resources
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%if %{python3_version_nodots} >= 37
%define skip_python3 1
%endif
Name:           python-importlib_resources
Version:        1.1.0
Release:        lp151.8.1
Summary:        Python package resource reader
License:        Apache-2.0
URL:            https://gitlab.com/python-devs/importlib_resources
Source:         https://files.pythonhosted.org/packages/source/i/importlib_resources/importlib_resources-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module typing}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{python_module zipp >= 0.4}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-typing
Requires:       python-zipp >= 0.4
BuildArch:      noarch
%ifpython2
BuildRequires:  python-pathlib2
BuildRequires:  python-singledispatch
%endif
%ifpython2
Requires:       python-pathlib2
Requires:       python-singledispatch
%endif
%python_subpackages

%description
importlib_resources is a backport of Python 3.7's standard library
importlib.resources module for Python 2.7, and 3.4 through 3.6.

%prep
%setup -q -n importlib_resources-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec -m unittest discover

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Aug 25 2020 Tomáš Chvátal <tchvatal@suse.com>
- Add missing runtime dependencies bsc#1175707
* Sat Jun 13 2020 Matej Cepl <mcepl@suse.com>
- Update to 1.1.0 (jsc#PM-1954 bsc#1172933):
  - Add support for retrieving resources from subdirectories of
    packages through the new files() function, which returns
    a Traversable object with joinpath and read_* interfaces
    matching those of pathlib.Path objects. This new function
    supersedes all of the previous functionality as it provides
    a more general-purpose access to a package’s resources.
  - With this function, subdirectories are supported.
  - The documentation has been updated to reflect that this
    function is now the preferred interface for loading package
    resources. It does not, however, support resources from
    arbitrary loaders. It currently only supports resources from
    file system path and zipfile packages (a consequence of the
    ResourceReader interface only operating on Python packages).
* Wed Jul 31 2019 Tomáš Chvátal <tchvatal@suse.com>
- This package is by default provided in python 3.7 and newer
* Thu Mar 21 2019 John Vandenberg <jayvdb@gmail.com>
- Simplify logic for typing dependency
* Tue Feb  5 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Thu Jan 31 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, needed by importlib-metadata
